## apt 0.9.7.7ubuntu2

=== debian/changelog ===
apt (0.9.7.7ubuntu2) raring; urgency=low

  * Cherry-pick from David's sid branch to fix a multiarch library
    installation problem:

  [ David Kalnischkies ]
  * apt-pkg/depcache.cc:
    - prefer to install packages which have an already installed M-A:same
      sibling while choosing providers (LP: #1130419)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Mar 2013 17:55:03 -0800

=== debian/control ===
Source: apt
Section: admin
Priority: important
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
Uploaders: Michael Vogt <mvo@debian.org>, Otavio Salvador <otavio@debian.org>,
 Christian Perrier <bubulle@debian.org>, Daniel Burrows <dburrows@debian.org>,
 Julian Andres Klode <jak@debian.org>
Standards-Version: 3.9.3
Build-Depends: dpkg-dev (>= 1.15.8), debhelper (>= 8.1.3~), libdb-dev,
 gettext (>= 0.12), libcurl4-gnutls-dev (>= 7.19.0),
 zlib1g-dev, libbz2-dev, xsltproc, docbook-xsl, docbook-xml,
 po4a (>= 0.34-2), autotools-dev, autoconf, automake
Build-Depends-Indep: doxygen, debiandoc-sgml
Build-Conflicts: autoconf2.13, automake1.4
Vcs-Bzr: lp:~ubuntu-core-dev/apt/ubuntu
Vcs-Browser: http://code.launchpad.net/apt/ubuntu

Package: apt
Architecture: any
Depends: ubuntu-keyring, ${shlibs:Depends}, ${misc:Depends}, gnupg
Replaces: manpages-pl (<< 20060617-3~)
Conflicts: python-apt (<< 0.7.93.2~)
Suggests: aptitude | synaptic | wajig, dpkg-dev, apt-doc, xz-utils, python-apt
Description: commandline package manager
 This package provides commandline tools for searching and
 managing as well as querying information about packages
 as a low-level access to all features of the libapt-pkg library.
 .
 These include:
  * apt-get for retrieval of packages and information about them
    from authenticated sources and for installation, upgrade and
    removal of packages together with their dependencies
  * apt-cache for querying available information about installed
    as well as installable packages
  * apt-cdrom to use removable media as a source for packages
  * apt-config as an interface to the configuration settings
  * apt-key as an interface to manage authentication keys

Package: libapt-pkg4.12
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: apt (<< 0.9.4~)
Section: libs
Description: package managment runtime library
 This library provides the common functionality for searching and
 managing packages as well as information about packages.
 Higher-level package managers can depend upon this library.
 .
 This includes:
  * retrieval of information about packages from multiple sources
  * retrieval of packages and all dependent packages
    needed to satisfy a request either through an internal
    solver or by interfacing with an external one
  * authenticating the sources and validating the retrieved data
  * installation and removal of packages in the system
  * providing different transports to retrieve data over cdrom, ftp,
    http, rsh as well as an interface to add more transports like
    https (apt-transport-https) and debtorrent (apt-transport-debtorrent).

Package: libapt-inst1.5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: libs
Description: deb package format runtime library
 This library provides methods to query and extract information
 from deb packages. This includes the control data and the package
 file content.

Package: apt-doc
Architecture: all
Priority: optional
Depends: ${misc:Depends}
Section: doc
Description: documentation for APT
 This package contains the user guide and offline guide for various
 APT tools which are provided in a html and a text-only version.

Package: libapt-pkg-dev
Architecture: any
Multi-Arch: same
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: ${libapt-pkg-name} (= ${binary:Version}), ${libapt-inst-name} (= ${binary:Version}), ${misc:Depends}, zlib1g-dev
Section: libdevel
Description: development files for APT's libapt-pkg and libapt-inst
 This package contains the header files and libraries for
 developing with APT's libapt-pkg Debian package manipulation
 library and the libapt-inst deb/tar/ar library.

Package: libapt-pkg-doc
Architecture: all
Priority: optional
Depends: ${misc:Depends}
Section: doc
Description: documentation for APT development
 This package contains documentation for development of the APT
 Debian package manipulation program and its libraries.
 .
 This includes the source code documentation generated by doxygen
 in html format.

Package: apt-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: xz-utils
Description: package managment related utility programs
 This package contains some less used commandline utilities related
 to package managment with APT.
 .
  * apt-extracttemplates is used by debconf to prompt for configuration
    questions before installation.
  * apt-ftparchive is used to create Packages and other index files
    needed to publish an archive of debian packages
  * apt-sortpkgs is a Packages/Sources file normalizer.

Package: apt-transport-https
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Priority: optional
Description: https download transport for APT
 This package enables the usage of 'deb https://foo distro main' lines
 in the /etc/apt/sources.list so that all package managers using the
 libapt-pkg library can access metadata and packages available in sources
 accessible over https (Hypertext Transfer Protocol Secure).
 .
 This transport supports server as well as client authentication
 with certificates.

## apt 0.9.7.7ubuntu4

=== debian/changelog ===
apt (0.9.7.7ubuntu4) raring; urgency=low

  [ Michael Vogt ]
  * test/integration/test-bug-1078697-missing-source-hashes:
    - add test for deb-src hash generation
  
  [ Marc Deslauriers ]
  * make apt-ftparchive generate missing deb-src hashes (LP: #1078697)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 11 Apr 2013 14:52:15 +0200

apt (0.9.7.7ubuntu3) raring; urgency=low

  * SECURITY UPDATE: InRelease verification bypass
    - CVE-2013-1051

  [ David Kalnischk ]
  * apt-pkg/deb/debmetaindex.cc,
    test/integration/test-bug-595691-empty-and-broken-archive-files,
    test/integration/test-releasefile-verification:
    - disable InRelease downloading until the verification issue is
      fixed, thanks to Ansgar Burchardt for finding the flaw

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 14 Mar 2013 14:25:56 +0100

## apt 0.9.7.7ubuntu6

=== debian/changelog ===
apt (0.9.7.7ubuntu6) raring; urgency=low

  * Fix apt-ftparchive's generation of SHA512 checksums for Sources,
    previously incorrectly generated as SHA256 (LP: #1234705).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 03 Oct 2013 14:22:35 +0100

apt (0.9.7.7ubuntu5) raring; urgency=low

  * Fix unhandled If-Modified-Since case that causes apt lists corruption.
    LP: #1179781

 -- Dave Chiluk <chiluk@canonical.com>  Wed, 21 Aug 2013 13:12:14 -0500

=== debian/control ===
--- 
+++ 
@@ -120,7 +120,7 @@
 
 Package: apt-transport-https
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libcurl3-gnutls (>= 7.29.0-1ubuntu3.2)
 Priority: optional
 Description: https download transport for APT
  This package enables the usage of 'deb https://foo distro main' lines

## apt 0.9.7.9

=== debian/changelog ===
apt (0.9.7.9) stable; urgency=low

  [ Ludovico Cavedon ]
  * properly handle if-modfied-since with libcurl/https 
    (closes: #705648)
  
  [ Andreas Beckman ]
  * apt-pkg/algorithms.cc:
    - Do not propagate negative scores from rdepends. Propagating the absolute
      value of a negative score may boost obsolete packages and keep them
      installed instead of installing their successors.  (Closes: #699759)
  
 -- Michael Vogt <mvo@debian.org>  Tue, 04 Jun 2013 11:24:15 +0200

apt (0.9.7.8) unstable; urgency=criticial

  * SECURITY UPDATE: InRelease verification bypass
    - CVE-2013-1051
  
  [ David Kalnischk ]
  * apt-pkg/deb/debmetaindex.cc,
    test/integration/test-bug-595691-empty-and-broken-archive-files,
    test/integration/test-releasefile-verification:
    - disable InRelease downloading until the verification issue is
      fixed, thanks to Ansgar Burchardt for finding the flaw

 -- Michael Vogt <mvo@debian.org>  Thu, 14 Mar 2013 07:47:36 +0100

## apt 0.9.7.9+deb7u1

=== debian/changelog ===
apt (0.9.7.9+deb7u1) wheezy; urgency=low

  * Non-maintainer upload.
  * Apply patch for large .debs (Closes: #725483)
    Thanks Mark Hymers for the patch, Vincent Sanders for
    the review
  * Apply patch for strict multi-arch checking in single-architecture
    environments (Closes: #723586)

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 16 Nov 2013 11:14:39 +0000

## apt 0.9.7.9+deb7u2

=== debian/changelog ===
apt (0.9.7.9+deb7u2) wheezy-security; urgency=high

  * SECURITY UPDATE: apt-get source validation (closes: #749795)
    - CVE-2014-0478

 -- Michael Vogt <mvo@debian.org>  Thu, 12 Jun 2014 12:47:25 +0200

## apt 0.9.7.9+deb7u6

=== debian/changelog ===
apt (0.9.7.9+deb7u6) wheezy-security; urgency=high

  * SECURITY UPDATE:
    - cmdline/apt-get.cc: fix insecure tempfile handling in
      apt-get changelog (CVE-2014-7206). Thanks to Guillem Jover

 -- Michael Vogt <mvo@debian.org>  Wed, 08 Oct 2014 10:11:55 +0200

apt (0.9.7.9+deb7u5) wheezy-security; urgency=high

  * SECURITY UPDATE:
    - methods/http.cc: fix potential buffer overflow, thanks to the
      Google Security Team (CVE-2014-6273)
  * fix regression when Dir::state::lists is set to a relative
    path (closes: 762160)
  * fix regression when cdrom: sources got rewriten by apt-cdrom
    add

 -- Michael Vogt <mvo@debian.org>  Tue, 23 Sep 2014 08:56:27 +0200

apt (0.9.7.9+deb7u4) wheezy-security; urgency=high

  * Fix regression in 0.9.7.9+deb7u3 when file:/// sources
    are used and those are on a different partition than
    the apt state directory (closes: 762079)

 -- Michael Vogt <mvo@debian.org>  Thu, 18 Sep 2014 11:31:53 +0200

apt (0.9.7.9+deb7u3) wheezy-security; urgency=high

  * SECURITY UPDATE:
    - incorrect invalidating of unauthenticated data (CVE-2014-0488)
    - incorect verification of 304 reply (CVE-2014-0487)
    - incorrect verification of Acquire::Gzip indexes (CVE-2014-0489)
    - incorrect apt-get download validation (CVE-2014-0490)

 -- Michael Vogt <mvo@debian.org>  Mon, 15 Sep 2014 09:24:15 +0200

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# FOR AUTOCONF 2.52 AND NEWER ONLY
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# See below
-include build/environment.mak

ifneq (,$(shell which dpkg-buildflags))
  export CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS)
  export LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
  export CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
else
  ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
    export CXXFLAGS = -O0 -g -Wall
  else
    export CXXFLAGS = -O2 -g -Wall
  endif
endif

# Default rule
build:

PKG=apt
DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)

# Determine the build directory to use
BASE=.
ifdef BUILD
BUILD_POSSIBLE := $(BUILD) $(BASE)/$(BUILD)
else
BUILD_POSSIBLE := $(BASE) $(BASE)/build-$(shell uname --machine) $(BASE)/build
endif
BUILDX:= $(foreach i,$(BUILD_POSSIBLE),$(wildcard $(i)/environment.mak*))
BUILDX:= $(patsubst %/,%,$(firstword $(dir $(BUILDX))))
override BLD := $(BUILDX)

ifeq ($(words $(BLD)),0)
override BLD := ./build
endif

# APT Programs in apt-utils
APT_UTILS=ftparchive sortpkgs extracttemplates

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Find the libapt-pkg major version for use in other control files
include buildlib/libversion.mak

# Determine which library package names to use
LIBAPT_PKG=libapt-pkg$(LIBAPTPKG_MAJOR)
LIBAPT_INST=libapt-inst$(LIBAPTINST_MAJOR)

# do not fail as we are just experimenting with symbol files for now
export DPKG_GENSYMBOLS_CHECK_LEVEL=0

build: build/build-stamp
build-debiandoc: build/build-debiandoc-stamp
build-manpages: build/build-manpages-stamp

# Note that this is unconditionally done first as part of loading environment.mak
# The true is needed to force make to reload environment.mak after running
# configure-stamp. Otherwise we can get stale or invalid, or missing config data.
build/environment.mak: build/configure-stamp
	@true

configure: configure.in
build/configure-stamp: configure
	dh_testdir
	-mkdir build
	cp COPYING debian/copyright
	cd build && CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" ../configure $(confflags)
	touch $@

build/build-stamp: build/configure-stamp
	# Add here commands to compile the package.
	$(MAKE) binary
	# compat symlink for the locale split
	mkdir -p build/usr/share 
	cd build/usr/share && ln -f -s ../../locale .
	# compile and run tests
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	$(MAKE) test
else
	@echo "Tests DISABLED"
endif
	touch $@

build/build-debiandoc-stamp: build/configure-stamp
	# Add here commands to compile the package.
	$(MAKE) debiandoc
	touch $@

build/build-manpages-stamp: build/configure-stamp
	# Add here commands to compile the package.
	$(MAKE) manpages
	touch $@

clean:
	dh_testdir

	[ ! -f Makefile ] || $(MAKE) clean distclean
	rm -rf build
	rm -f debian/$(LIBAPT_PKG).install debian/$(LIBAPT_INST).install \
	      debian/libapt-pkg-dev.install

debian/%.install: debian/%.install.in
	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' $< > $@

binary-indep: apt-doc libapt-pkg-doc
# Build architecture-independent files here.
libapt-pkg-doc: build-debiandoc
	dh_testdir -p$@
	dh_testroot -p$@
	dh_prep -p$@
	dh_installdirs -p$@
#
# libapt-pkg-doc install
#
	dh_installdocs -p$@ $(BLD)/docs/design* \
			    $(BLD)/docs/dpkg-tech* \
			    $(BLD)/docs/files* \
			    $(BLD)/docs/method* \
			    doc/libapt-pkg2_to_3.txt \
			    doc/style.txt \
			    $(BLD)/doc/doxygen/html
	dh_installexamples -p$@

	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@
	dh_md5sums -p$@
	dh_builddeb -p$@

apt-doc: build-debiandoc
	dh_testdir -p$@
	dh_testroot -p$@
	dh_prep -p$@
#
# apt-doc install
#
	# Copy the guides
	dh_installdocs -p$@ $(BLD)/docs/guide*.text \
			    $(BLD)/docs/guide*.html \
			    $(BLD)/docs/offline*.text \
			    $(BLD)/docs/offline*.html
	dh_installchangelogs -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@
	dh_md5sums -p$@
	dh_builddeb -p$@



# Build architecture-dependent files here.

binary-arch: $(LIBAPT_PKG) $(LIBAPT_INST) apt libapt-pkg-dev apt-utils apt-transport-https
apt_MANPAGES = apt-cache apt-cdrom apt-config apt-get apt-key apt-mark apt-secure apt apt.conf apt_preferences sources.list
apt: build build-manpages
	dh_testdir -p$@
	dh_testroot -p$@
	dh_prep -p$@
	dh_installdirs -p$@
#
# apt install
#
	cp debian/apt.conf.autoremove debian/$@/etc/apt/apt.conf.d/01autoremove

	# make rosetta happy and remove pot files in po/ (but leave stuff
	# in po/domains/* untouched) and cp *.po into each domain dir
	rm -f build/po/*.pot
	rm -f po/*.pot

	dh_install -p$@ --sourcedir=$(BLD)

	# Remove the bits that are in apt-utils
	rm $(addprefix debian/$@/usr/bin/apt-,$(APT_UTILS) dump-solver internal-solver)

	# https has its own package
	rm debian/$@/usr/lib/apt/methods/https

	# move the mirror failure script in place
	#mv debian/$@/usr/bin/apt-report-mirror-failure \
	#   debian/$@/usr/lib/apt/apt-report-mirror-failure \

	dh_bugfiles -p$@
	dh_lintian -p$@
	dh_installexamples -p$@ $(BLD)/docs/examples/*
	dh_installman -p$@ $(wildcard $(patsubst %,doc/%.[158],$(apt_MANPAGES)) $(patsubst %,doc/*/%.*.[158],$(apt_MANPAGES)))
	dh_installcron -p$@
	dh_installdocs -p$@
	dh_installchangelogs -p$@
	dh_installlogrotate -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_shlibdeps -p$@
	dh_gencontrol -p$@
	dh_md5sums -p$@
	dh_builddeb -p$@

libapt-pkg-dev: build debian/libapt-pkg-dev.install
	dh_testdir -p$@
	dh_testroot -p$@
	dh_prep -p$@
	dh_installdirs -p$@
#
# libapt-pkg-dev install
#
	dh_install -p$@ --sourcedir=$(BLD)
	dh_installdocs -p$@
	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@ -- -Vlibapt-pkg-name=$(LIBAPT_PKG) -Vlibapt-inst-name=$(LIBAPT_INST)
	dh_md5sums -p$@
	dh_builddeb -p$@

apt-utils_MANPAGES = apt-sortpkgs apt-ftparchive apt-extracttemplates
apt-utils: build build-manpages
	dh_testdir -p$@
	dh_testroot -p$@
	dh_prep -p$@
	dh_installdirs -p$@

	cp $(addprefix $(BLD)/bin/apt-,$(APT_UTILS)) debian/$@/usr/bin/
	cp $(BLD)/bin/apt-dump-solver debian/$@/usr/lib/apt/solvers/dump
	cp $(BLD)/bin/apt-internal-solver debian/$@/usr/lib/apt/solvers/apt

	dh_install -p$@ --sourcedir=$(BLD)
	dh_link -p$@
	dh_installdocs -p$@
	dh_installexamples -p$@

	# Install the man pages..
	dh_installman -p$@ $(wildcard $(patsubst %,doc/%.[158],$(apt-utils_MANPAGES)) $(patsubst %,doc/*/%.*.[158],$(apt-utils_MANPAGES)))

	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_makeshlibs -p$@
	dh_installdeb -p$@
	dh_shlibdeps -p$@
	dh_gencontrol -p$@
	dh_md5sums -p$@
	dh_builddeb -p$@

$(LIBAPT_PKG): build debian/$(LIBAPT_PKG).install
	dh_testdir -p$@
	dh_testroot -p$@
	dh_prep -p$@
	dh_installdirs -p$@

	dh_install -p$@ --sourcedir=$(BLD)
	dh_installdocs -p$@
	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_makeshlibs -p$@
	dh_installdeb -p$@
	dh_shlibdeps -p$@ 
	dh_gencontrol -p$@
	dh_md5sums -p$@
	dh_builddeb -p$@

$(LIBAPT_INST): build debian/$(LIBAPT_INST).install
	dh_testdir -p$@
	dh_testroot -p$@
	dh_prep -p$@
	dh_installdirs -p$@

	dh_install -p$@ --sourcedir=$(BLD)
	dh_installdocs -p$@
	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_makeshlibs -p$@
	dh_installdeb -p$@

## apt 0.9.7.9+deb7u7

=== Makefile ===
# -*- make -*-

# This is the top level make file for APT, it recurses to each lower
# level make file and runs it with the proper target
ifndef NOISY
.SILENT:
endif

.PHONY: default
default: startup all

.PHONY: headers library clean veryclean all binary program doc test update-po
all headers library clean veryclean binary program doc manpages debiandoc test update-po startup dirs:
	$(MAKE) -C apt-pkg $@
	$(MAKE) -C apt-inst $@
	$(MAKE) -C methods $@
	$(MAKE) -C cmdline $@
	$(MAKE) -C ftparchive $@
	$(MAKE) -C dselect $@
	$(MAKE) -C doc $@
	$(MAKE) -C po $@
	$(MAKE) -C test $@

all headers library clean veryclean binary program doc manpages debiandoc test update-po: startup dirs

dirs: startup

# Some very common aliases
.PHONY: maintainer-clean dist-clean distclean pristine sanity
maintainer-clean dist-clean distclean pristine sanity: veryclean
veryclean: clean

# The startup target builds the necessary configure scripts. It should
# be used after a CVS checkout.
CONVERTED=environment.mak include/config.h include/apti18n.h build/doc/Doxyfile makefile
include buildlib/configure.mak
$(BUILDDIR)/include/config.h: buildlib/config.h.in
$(BUILDDIR)/include/apti18n.h: buildlib/apti18n.h.in
$(BUILDDIR)/environment.mak: buildlib/environment.mak.in
$(BUILDDIR)/makefile: buildlib/makefile.in

=== debian/changelog ===
apt (0.9.7.9+deb7u7) stable; urgency=medium

  [ David Kalnischkies ]
  * methods/http.cc:
    - retry without partial data after a 416 response (closes: 710924)
  
  [ Michael Vogt ]
  * debian/rules:
    - add missing dh_clean

 -- Michael Vogt <mvo@debian.org>  Fri, 17 Oct 2014 09:03:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: apt
 Section: admin
 Priority: important
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
+Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Michael Vogt <mvo@debian.org>, Otavio Salvador <otavio@debian.org>,
  Christian Perrier <bubulle@debian.org>, Daniel Burrows <dburrows@debian.org>,
  Julian Andres Klode <jak@debian.org>
 Standards-Version: 3.9.3
 Build-Depends: dpkg-dev (>= 1.15.8), debhelper (>= 8.1.3~), libdb-dev,
- gettext (>= 0.12), libcurl4-gnutls-dev (>= 7.19.0),
+ gettext (>= 0.12), libcurl4-gnutls-dev (>= 7.19.4~),
  zlib1g-dev, libbz2-dev, xsltproc, docbook-xsl, docbook-xml,
  po4a (>= 0.34-2), autotools-dev, autoconf, automake
 Build-Depends-Indep: doxygen, debiandoc-sgml
 Build-Conflicts: autoconf2.13, automake1.4
-Vcs-Bzr: lp:~ubuntu-core-dev/apt/ubuntu
-Vcs-Browser: http://code.launchpad.net/apt/ubuntu
+Vcs-Bzr: http://bzr.debian.org/apt/debian-wheezy/
+Vcs-Browser: http://bzr.debian.org/loggerhead/apt/debian-wheezy/
 
 Package: apt
 Architecture: any
-Depends: ubuntu-keyring, ${shlibs:Depends}, ${misc:Depends}, gnupg
+Depends: ${shlibs:Depends}, ${misc:Depends}, debian-archive-keyring, gnupg
 Replaces: manpages-pl (<< 20060617-3~)
 Conflicts: python-apt (<< 0.7.93.2~)
 Suggests: aptitude | synaptic | wajig, dpkg-dev, apt-doc, xz-utils, python-apt
@@ -120,7 +119,7 @@
 
 Package: apt-transport-https
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libcurl3-gnutls (>= 7.29.0-1ubuntu3.2)
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Priority: optional
 Description: https download transport for APT
  This package enables the usage of 'deb https://foo distro main' lines

=== debian/rules ===
--- 
+++ 
@@ -110,6 +110,7 @@
 
 clean:
 	dh_testdir
+	dh_clean
 
 	[ ! -f Makefile ] || $(MAKE) clean distclean
 	rm -rf build

## apt 0.9.7.9+deb7u9

=== debian/changelog ===
apt (0.9.7.9+deb7u9) wheezy-security; urgency=high

  * CVE-2020-3810: out-of-bounds read in .ar/.tar implementations

 -- Sylvain Beucler <beuc@debian.org>  Thu, 14 May 2020 22:19:32 +0200

apt (0.9.7.9+deb7u8) wheezy-security; urgency=high

  * CVE-2019-3462: Fix a content injection vulnerability that could be
    exploited to inject arbitrary .deb or other files into a signed
    repository via injected redirect headers.

 -- Chris Lamb <lamby@debian.org>  Tue, 22 Jan 2019 20:51:26 +0000

## apt 0.9.9.1~ubuntu3

=== debian/changelog ===
apt (0.9.9.1~ubuntu3) saucy; urgency=low

  * Keep linux-tools packages matching installed kernels (LP: #1205284)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 11 Sep 2013 11:48:09 -0400

apt (0.9.9.1~ubuntu2) saucy; urgency=low

  * Prefer native architecture over higher priority for providers (closes:
    #718482).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 01 Aug 2013 16:33:32 +0100

apt (0.9.9.1~ubuntu1) saucy; urgency=low

  * merged from the debian/sid branch:
    - debian/gbp.conf: change build branch to ubuntu/master
    - use ubuntu keyring and ubuntu archive keyring in apt-key
    - run update-apt-xapian-index in apt.cron
    - run apt-key net-update in cron.daily
    - different example sources.list
    - APT::pkgPackageManager::MaxLoopCount set to 5000
    - apport pkgfailure handling
    - ubuntu changelog download handling
    - patch for apt cross-building, see http://bugs.debian.org/666772
    - debian/apt.auto-removal.sh
      + make kernels auto-removable

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 10 Jul 2013 17:03:52 +0200

apt (0.9.9.1) UNRELEASED; urgency=low

  * debian/rules:
    - call dh_clean in clean (closes: #714980)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 05 Jul 2013 16:39:34 +0200

apt (0.9.9) unstable; urgency=low

  [ Michael Vogt ]
  * improve debug output for the Debug::pkgProblemResolver and
    Debug::pkgDepCache::AutoInstall
  * improve apt-cdrom output when no CD-ROM can be auto-detected
  * document --no-auto-detect in apt-cdrom

  [ David Kalnischkies ]
  * build the en manpages in subdirectory doc/en
  * remove -ldl from cdrom and -lutil from apt-get linkage
  * rewrite pkgOrderList::DepRemove to stop incorrect immediate setting
    (Closes: 645713)
  * prefer Essentials over Removals in ordering score
  * fix priority sorting by prefering higher in MarkInstall
  * try all providers in order if uninstallable in MarkInstall
  * do unpacks before configures in SmartConfigure (Closes: #707578)
  * fix support for multiple patterns in apt-cache search (Closes: #691453)
  * set Fail flag in FileFd on all errors consistently
  * don't explicitly init ExtractTar InFd with invalid fd
  * OpenDescriptor should autoclose fd always on error (Closes: #704608)
  * fail in CopyFile if the FileFds have error flag set
  * ensure state-dir exists before coyping cdrom files
  * fix file location for configure-index.gz in apt.conf(5) (Closes: #711921)
  * handle missing "Description" in apt-cache show (Closes: #712435)
  * try defaults if auto-detection failed in apt-cdrom (Closes: #712433)
  * support \n and \r\n line endings in ReadMessages
  * do not redownload unchanged InRelease files
  * trigger NODATA error for invalid InRelease files (Closes: #712486)

 -- Michael Vogt <mvo@debian.org>  Tue, 02 Jul 2013 08:58:33 +0200

apt (0.9.8.2) unstable; urgency=low

  [ Programs translations ]
  * French translation : typo fix. Closes: #677272

  [ Guillem Jover ]
  * Update Vcs fields (Closes: #708562)
  
  [ Michael Vogt ]
  * buildlib/apti18n.h.in:
    - fix build failure when building without NLS (closes: #671587)
  
  [ Gregoire Menuel ]
  * Fix double free (closes: #711045)
  
  [ Raphael Geissert ]
  * Fix crash when the "mirror" method does not find any entry
    (closes: #699303)

  [ Johan Kiviniemi ]
  * cmdline/apt-key:
    - Create new keyrings with mode 0644 instead of 0600.
    - Accept a nonexistent --keyring file with the adv subcommand as well.

 -- Michael Vogt <mvo@debian.org>  Thu, 06 Jun 2013 19:15:14 +0200

apt (0.9.8.1) unstable; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/indexcopy.cc:
    - non-inline RunGPGV methods to restore ABI compatibility with previous
      versions to fix partial upgrades (Closes: #707771)
  
  [ Michael Vogt ]
  * moved source to http://git.debian.org/apt/apt.git
  * updated gbp.conf to match what bzr-buildpackage is doing
  * remove .bzr-buildpackage/default.conf (superseeded by gbp.conf)

 -- Michael Vogt <mvo@debian.org>  Thu, 16 May 2013 14:50:43 +0200

apt (0.9.8) unstable; urgency=low

  [ Ludovico Cavedon ]
  * properly handle if-modfied-since with libcurl/https 
    (closes: #705648)
  
  [ Andreas Beckman ]
  * apt-pkg/algorithms.cc:
    - Do not propagate negative scores from rdepends. Propagating the absolute
      value of a negative score may boost obsolete packages and keep them
      installed instead of installing their successors.  (Closes: #699759)

  [ Michael Vogt ]
  * apt-pkg/sourcelist.cc:
    - fix segfault when a hostname contains a [, thanks to
      Tzafrir Cohen (closes: #704653)
  * debian/control:
    - replace manpages-it (closes: #704723)

  [ David Kalnischkies ]
  * various simple changes to fix cppcheck warnings
  * apt-pkg/pkgcachegen.cc:
    - do not store the MD5Sum for every description language variant as
      it will be the same for all so it can be shared to save cache space
    - handle language tags for descriptions are unique strings to be shared
    - factor version string creation out of NewDepends, so we can easily reuse
      version strings e.g. for implicit multi-arch dependencies
    - equal comparisions are used mostly in same-source relations,
      so use this to try to reuse some version strings
    - sort group and package names in the hashtable on insert
    - share version strings between same versions (of different architectures)
      to save some space and allow quick comparisions later on
  * apt-pkg/pkgcache.cc:
    - assume sorted hashtable entries for groups/packages
  * apt-pkg/cacheiterators.h:
    - provide DepIterator::IsSatisfied as a nicer shorthand for DepCheck
  * apt-pkg/deb/debversion.cc:
    - add a string-equal shortcut for equal version comparisions

  [ Marc Deslauriers ]
  * make apt-ftparchive generate missing deb-src hashes (LP: #1078697)

  [ Yaroslav Halchenko ]
  * Fix English spelling error in a message ('A error'). Unfuzzy
    translations. Closes: #705087

  [ Programs translations ]


## apt 0.9.9.1~ubuntu3.2

=== debian/changelog ===
apt (0.9.9.1~ubuntu3.2) saucy-security; urgency=low

  * SECURITY UPDATE: incorrect apt-get source validation (LP: #1329274)
    - warn if not authenticated in cmdline/apt-get.cc, added regression
      test to test/integration/test-apt-get-source-authenticated,
      test/integration/framework.
    - CVE-2014-0478

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 12 Jun 2014 14:02:26 +0200

apt (0.9.9.1~ubuntu3.1) saucy-proposed; urgency=low

  * cherry pick upstream commit 0caa5a4c to fix multiarch upgrade
    bug LP: #1286161

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 03 Apr 2014 12:49:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: apt
 Section: admin
 Priority: important
-Maintainer: APT Development Team <deity@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Michael Vogt <mvo@debian.org>, Otavio Salvador <otavio@debian.org>,
  Christian Perrier <bubulle@debian.org>, Daniel Burrows <dburrows@debian.org>,
  Julian Andres Klode <jak@debian.org>
@@ -12,13 +13,13 @@
  po4a (>= 0.34-2), autotools-dev, autoconf, automake
 Build-Depends-Indep: doxygen, debiandoc-sgml
 Build-Conflicts: autoconf2.13, automake1.4
-Vcs-Bzr: http://bzr.debian.org/apt/debian-wheezy/
-Vcs-Browser: http://bzr.debian.org/loggerhead/apt/debian-wheezy/
+Vcs-Git: git://anonscm.debian.org/apt/apt.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=apt/apt.git
 
 Package: apt
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, debian-archive-keyring, gnupg
-Replaces: manpages-pl (<< 20060617-3~)
+Depends: ${shlibs:Depends}, ${misc:Depends}, ubuntu-keyring, gnupg
+Replaces: manpages-pl (<< 20060617-3~), manpages-it
 Conflicts: python-apt (<< 0.7.93.2~)
 Suggests: aptitude | synaptic | wajig, dpkg-dev, apt-doc, xz-utils, python-apt
 Description: commandline package manager

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 # Made with the aid of dh_make, by Craig Small
 # Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
 # Some lines taken from debmake, by Christoph Lameter.
+
+# build in verbose mode by default to make it easy to diangose issues
+export NOISY=1
 
 export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -173,7 +176,7 @@
 # Build architecture-dependent files here.
 
 binary-arch: $(LIBAPT_PKG) $(LIBAPT_INST) apt libapt-pkg-dev apt-utils apt-transport-https
-apt_MANPAGES = apt-cache apt-cdrom apt-config apt-get apt-key apt-mark apt-secure apt apt.conf apt_preferences sources.list
+apt_MANPAGES = apt apt-cache apt-cdrom apt-config apt-get apt-key apt-mark apt-secure apt apt.conf apt_preferences sources.list
 apt: build build-manpages
 	dh_testdir -p$@
 	dh_testroot -p$@
@@ -183,6 +186,10 @@
 # apt install
 #
 	cp debian/apt.conf.autoremove debian/$@/etc/apt/apt.conf.d/01autoremove
+	cp debian/apt.conf.changelog debian/$@/etc/apt/apt.conf.d/20changelog
+	cp debian/apt.auto-removal.sh debian/$@/etc/kernel/postinst.d/apt-auto-removal
+	chmod 755 debian/$@/etc/kernel/postinst.d/apt-auto-removal
+	cp share/ubuntu-archive.gpg debian/$@/usr/share/$@
 
 	# make rosetta happy and remove pot files in po/ (but leave stuff
 	# in po/domains/* untouched) and cp *.po into each domain dir
@@ -204,7 +211,7 @@
 	dh_bugfiles -p$@
 	dh_lintian -p$@
 	dh_installexamples -p$@ $(BLD)/docs/examples/*
-	dh_installman -p$@ $(wildcard $(patsubst %,doc/%.[158],$(apt_MANPAGES)) $(patsubst %,doc/*/%.*.[158],$(apt_MANPAGES)))
+	dh_installman -p$@ $(wildcard $(patsubst %,doc/en/%.[158],$(apt_MANPAGES)) $(patsubst %,doc/*/%.*.[158],$(apt_MANPAGES)))
 	dh_installcron -p$@
 	dh_installdocs -p$@
 	dh_installchangelogs -p$@
@@ -254,7 +261,7 @@
 	dh_installexamples -p$@
 
 	# Install the man pages..
-	dh_installman -p$@ $(wildcard $(patsubst %,doc/%.[158],$(apt-utils_MANPAGES)) $(patsubst %,doc/*/%.*.[158],$(apt-utils_MANPAGES)))
+	dh_installman -p$@ $(wildcard $(patsubst %,doc/en/%.[158],$(apt-utils_MANPAGES)) $(patsubst %,doc/*/%.*.[158],$(apt-utils_MANPAGES)))
 
 	dh_installchangelogs -p$@
 	dh_strip -p$@
@@ -282,21 +289,3 @@
 	dh_makeshlibs -p$@
 	dh_installdeb -p$@
 	dh_shlibdeps -p$@ 
-	dh_gencontrol -p$@
-	dh_md5sums -p$@
-	dh_builddeb -p$@
-
-$(LIBAPT_INST): build debian/$(LIBAPT_INST).install
-	dh_testdir -p$@
-	dh_testroot -p$@
-	dh_prep -p$@
-	dh_installdirs -p$@
-
-	dh_install -p$@ --sourcedir=$(BLD)
-	dh_installdocs -p$@
-	dh_installchangelogs -p$@
-	dh_strip -p$@
-	dh_compress -p$@
-	dh_fixperms -p$@
-	dh_makeshlibs -p$@
-	dh_installdeb -p$@

## apt 0.9.9.1~ubuntu3.3

=== debian/changelog ===
apt (0.9.9.1~ubuntu3.3) saucy-proposed; urgency=low

  * apt-pkg/packagemanager.cc:
    - fix incorrect configure ordering in the SmartConfigure step
      by skiping packages that do not need immediate action
      (LP: #1347721)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 29 Jul 2014 21:37:01 +0200

## apt 0.9.14.2tanglu4

=== debian/changelog ===
apt (0.9.14.2tanglu4) staging; urgency=medium

  * Regenerate cmdline/apt-key from cmdline/apt-key.in

 -- Jon Severinsson <jon@severinsson.net>  Tue, 18 Feb 2014 16:00:00 +0100

apt (0.9.14.2tanglu3) staging; urgency=medium

  * Do not enable deb-src sources.list entries by default.

 -- Jon Severinsson <jon@severinsson.net>  Sun, 16 Feb 2014 16:00:00 +0100

apt (0.9.14.2tanglu2) staging; urgency=medium

  * Do not use parallell make in vendor/makefile, it's broken.

 -- Jon Severinsson <jon@severinsson.net>  Thu, 13 Feb 2014 22:30:00 +0100

apt (0.9.14.2tanglu1) aequorea; urgency=medium

  * Add support for Tanglu.

 -- Jon Severinsson <jon@severinsson.net>  Thu, 13 Feb 2014 21:00:00 +0100

apt (0.9.14.2) unstable; urgency=low

  [ Joe Hansen ]
  * Danish translation update. Closes: #732166
  
  [ Peter Green ]
  * add apt-vendor for raspbian. Closes: #732749

  [ Thomas Bechtold ]
  * apt-pkg/contrib/gpgv.cc: use /tmp as fallback dir if the
    directory from $TMPDIR  is not available (closes: #728500)
  
  [ Michael Vogt ]
  * vendor/getinfo:
    - fix ubuntu-codename
  * vendor/steamos/*:
    - add steamos support
  * bugfix/bts731738-fancy-progess:
    - fix terminal size issues with e.g. "less" when "APT::Progress-Fancy=1"
      is used (closes: #731738)
  * feature/policy-parser-bts732746:
    - allow more flexibility in /etc/apt/preferences, e.g. comment only
      sections (closes: #732746)
  * move TMPDIR handling into GetTempDir() and use that instead of
    getenv("TMPDIR")
  * update apt-key net-update and add integration test with the buildin
    apt webserver
  * run autopkgtest against the installed apt

 -- Michael Vogt <mvo@debian.org>  Sun, 29 Dec 2013 16:41:16 +0100

apt (0.9.14.1) unstable; urgency=medium

  * fix apt-get source -t dist regression (closes: #731853)
    and add testcase
  * clarify error message when apt-get source=ver fails
    (thans to David Kalnischkies)
  * Fix conffile prompt regression (LP: #1260297)
    and add testcase
  * improve error message for apt-get source pkg:arch{=ver,/release}

 -- Michael Vogt <mvo@debian.org>  Thu, 12 Dec 2013 18:34:29 +0100

apt (0.9.14) unstable; urgency=low

  [ David Kalnischkies ]
  * merge ubuntus apport reporting changes to reduce diff
  * enable NOISE for build logs to enable analyse
  * introduce a vendor system to change sources.list
  * add a vendor specific file to have configurable entities
  * use a substvar to set the archive-keyring in debian/control
  * cherry-pick ubuntus (disabled) net-update fixes
  * generate apt-key script with vendor info about keys
  * drop old /var/state to /var/lib transition artefacts

  [ Steve Langasek ]
  * prepare-release: declare the packages needed as source build deps.

  [ Michael Vogt ]
  * enable release based selection for deb-src (closes: 731102)
  * document Dpkg::Progress-Fancy (closes: 726169), thanks to James McCoy
  * vendor/makefile: fix build error for parallel builds
  * Handle SIGWINCH in APT::Progress-Fancy=1

 -- Michael Vogt <mvo@debian.org>  Sat, 07 Dec 2013 14:54:31 +0100

apt (0.9.13.1) unstable; urgency=low

  [ Colin Watson ]
  * fix "apt-get  --purge build-dep" (closes: #720597)
  * fix regression that APT::Keep-Fds is not honored (closes: #730490)
  
  [ Michael Vogt ]
  * add "-f" option to "build-dep" as sbuild is using it to fix 
    regression with cross-building (LP: #1255806)
  * add autopkgtest support for the integration testsuite
  * merge mvo/feature/short-list
  * merge mvo/feature/edit-sources
  * fix segfault in pkgDepCache::SetCandidateRelease() (closes: #709560)
  * reset terminal on error (closes: #730795)
  * fix apport report writing (LP: #1254499)

 -- Michael Vogt <mvo@debian.org>  Fri, 29 Nov 2013 20:50:17 +0100

apt (0.9.13) unstable; urgency=low

  [ TJ Guthrie ]
  * Changed MinAgeSec to MinAge in /etc/cron.daily/apt:200,204 
    LP: #1206047

 -- Michael Vogt <mvo@debian.org>  Sun, 24 Nov 2013 10:56:22 +0100

apt (0.9.13~exp1) experimental; urgency=low

  * Improve the API for APT::Upgrade::Upgrade()
  * Re-add "Calculating upgrade..." message
  * move upgrade releated code into upgrade.{cc,h}
  * Move ListUpdate/AquireUpdate into update.{cc,h}
  * Add new apt-pkg/install-progress.h with APT::Progress::PackageManager
    progress reporting classes
  * Move the status-fd progress reporting out of the pkgDPkgPM class
    and into PackageManagerProgressFd
  * Fix reading dpkg --status-fd on reinstalls
  * Add new APT::Status-deb822-Fd progress output
  * add Acquire::http::Proxy-Auto-Detect to the apt.conf.5 manpage
    (closes: 726597)
  * Fix detection when multiarch packages are reported by dpkg as
    disappeared Packages
  * test/integration/run-tests: output the failed test names
  * Code Cleanup in pkgDPkgPM
  * prepare next ABI via #if (APT_PKG_MAJOR >= 4 && APT_PKG_MINOR >= 13)
  * add new pid_t ExecFork(std::set<int> KeepFDs)
  * Avoid flickering when "apt-get -o DpkgPM::Progress-Fancy=1" is use
  * use sysconf(_SC_OPEN_MAX) in ExecFork()

 -- Michael Vogt <mvo@debian.org>  Fri, 01 Nov 2013 10:03:06 +0100

apt (0.9.12.1) unstable; urgency=low

  [ Michael Vogt ]
  * do not send pkgname:arch over the APT::Status-Fd to not break
    clients (closes: 726156). A new APT::Status-deb822-Fd will be
    used to fix this.
  * add integration tests for APT::Status-Fd
  * add missing _() around the new "Progress" string

  [ David Kalnischkies ]
  * fix progress-segfault in case of dpkg errors/prompts (Closes: 726047)

 -- Michael Vogt <mvo@debian.org>  Tue, 15 Oct 2013 18:25:51 +0200

apt (0.9.12) unstable; urgency=low

  [ Christian Perrier ]
  * Fix typo in apt-private/private-show.cc. Thanks to Benjamin
    Keresa. Closes: #724073
  
  [ Mark Hymers ]
  * fix libapt-inst for >2G debs (closes: #725483)

  [ David Kalnischkies ]
  * don't strip :any from dependencies in single-arch (Closes: 723586)
  * pkg from only trusted sources keeps being trusted (Closes: 617690)


=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: apt
 Section: admin
 Priority: important
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
-Uploaders: Michael Vogt <mvo@debian.org>, Otavio Salvador <otavio@debian.org>,
- Christian Perrier <bubulle@debian.org>, Daniel Burrows <dburrows@debian.org>,
+Maintainer: APT Development Team <deity@lists.debian.org>
+Uploaders: Michael Vogt <mvo@debian.org>, Christian Perrier <bubulle@debian.org>, 
  Julian Andres Klode <jak@debian.org>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Build-Depends: dpkg-dev (>= 1.15.8), debhelper (>= 8.1.3~), libdb-dev,
  gettext (>= 0.12), libcurl4-gnutls-dev (>= 7.19.4~),
  zlib1g-dev, libbz2-dev, xsltproc, docbook-xsl, docbook-xml,
@@ -15,11 +13,13 @@
 Build-Conflicts: autoconf2.13, automake1.4
 Vcs-Git: git://anonscm.debian.org/apt/apt.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=apt/apt.git
+XS-Testsuite: autopkgtest
 
 Package: apt
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ubuntu-keyring, gnupg
-Replaces: manpages-pl (<< 20060617-3~), manpages-it
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${apt:keyring}, gnupg
+Replaces: manpages-pl (<< 20060617-3~), manpages-it (<< 2.80-4~)
+Breaks: manpages-pl (<< 20060617-3~), manpages-it (<< 2.80-4~)
 Conflicts: python-apt (<< 0.7.93.2~)
 Suggests: aptitude | synaptic | wajig, dpkg-dev, apt-doc, xz-utils, python-apt
 Description: commandline package manager
@@ -42,9 +42,9 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: apt (<< 0.9.4~)
+Breaks: apt (<< 0.9.4~), libapt-inst1.5 (<< 0.9.9~)
 Section: libs
-Description: package managment runtime library
+Description: package management runtime library
  This library provides the common functionality for searching and
  managing packages as well as information about packages.
  Higher-level package managers can depend upon this library.
@@ -108,9 +108,9 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: xz-utils
-Description: package managment related utility programs
+Description: package management related utility programs
  This package contains some less used commandline utilities related
- to package managment with APT.
+ to package management with APT.
  .
   * apt-extracttemplates is used by debconf to prompt for configuration
     questions before installation.

=== debian/rules ===
--- 
+++ 
@@ -69,7 +69,7 @@
 # do not fail as we are just experimenting with symbol files for now
 export DPKG_GENSYMBOLS_CHECK_LEVEL=0
 
-build: build/build-stamp
+build-binary: build/build-binary-stamp
 build-debiandoc: build/build-debiandoc-stamp
 build-manpages: build/build-manpages-stamp
 
@@ -79,15 +79,15 @@
 build/environment.mak: build/configure-stamp
 	@true
 
-configure: configure.in
-build/configure-stamp: configure
+configure: configure.ac
+build/configure-stamp: configure buildlib/config.sub buildlib/config.guess
 	dh_testdir
 	-mkdir build
 	cp COPYING debian/copyright
 	cd build && CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" ../configure $(confflags)
 	touch $@
 
-build/build-stamp: build/configure-stamp
+build/build-binary-stamp: build/configure-stamp
 	# Add here commands to compile the package.
 	$(MAKE) binary
 	# compat symlink for the locale split
@@ -118,12 +118,13 @@
 	[ ! -f Makefile ] || $(MAKE) clean distclean
 	rm -rf build
 	rm -f debian/$(LIBAPT_PKG).install debian/$(LIBAPT_INST).install \
-	      debian/libapt-pkg-dev.install
+	      debian/libapt-pkg-dev.install debian/apt.install
+	test ! -L buildlib/config.guess || rm -f buildlib/config.guess
+	test ! -L buildlib/config.sub || rm -f buildlib/config.sub
 
 debian/%.install: debian/%.install.in
 	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' $< > $@
 
-binary-indep: apt-doc libapt-pkg-doc
 # Build architecture-independent files here.
 libapt-pkg-doc: build-debiandoc
 	dh_testdir -p$@
@@ -175,9 +176,8 @@
 
 # Build architecture-dependent files here.
 
-binary-arch: $(LIBAPT_PKG) $(LIBAPT_INST) apt libapt-pkg-dev apt-utils apt-transport-https
 apt_MANPAGES = apt apt-cache apt-cdrom apt-config apt-get apt-key apt-mark apt-secure apt apt.conf apt_preferences sources.list
-apt: build build-manpages
+apt: build-binary build-manpages debian/apt.install
 	dh_testdir -p$@
 	dh_testroot -p$@
 	dh_prep -p$@
@@ -186,10 +186,8 @@
 # apt install
 #
 	cp debian/apt.conf.autoremove debian/$@/etc/apt/apt.conf.d/01autoremove
-	cp debian/apt.conf.changelog debian/$@/etc/apt/apt.conf.d/20changelog
 	cp debian/apt.auto-removal.sh debian/$@/etc/kernel/postinst.d/apt-auto-removal
 	chmod 755 debian/$@/etc/kernel/postinst.d/apt-auto-removal
-	cp share/ubuntu-archive.gpg debian/$@/usr/share/$@
 
 	# make rosetta happy and remove pot files in po/ (but leave stuff
 	# in po/domains/* untouched) and cp *.po into each domain dir
@@ -221,11 +219,11 @@
 	dh_fixperms -p$@
 	dh_installdeb -p$@
 	dh_shlibdeps -p$@
-	dh_gencontrol -p$@
-	dh_md5sums -p$@
-	dh_builddeb -p$@
-
-libapt-pkg-dev: build debian/libapt-pkg-dev.install
+	dh_gencontrol -p$@ -- -Vapt:keyring="$(shell ./vendor/getinfo keyring-package)"
+	dh_md5sums -p$@
+	dh_builddeb -p$@
+
+libapt-pkg-dev: build-binary debian/libapt-pkg-dev.install
 	dh_testdir -p$@
 	dh_testroot -p$@
 	dh_prep -p$@
@@ -245,7 +243,7 @@
 	dh_builddeb -p$@
 
 apt-utils_MANPAGES = apt-sortpkgs apt-ftparchive apt-extracttemplates
-apt-utils: build build-manpages
+apt-utils: build-binary build-manpages
 	dh_testdir -p$@
 	dh_testroot -p$@
 	dh_prep -p$@
@@ -274,18 +272,14 @@
 	dh_md5sums -p$@
 	dh_builddeb -p$@
 
-$(LIBAPT_PKG): build debian/$(LIBAPT_PKG).install
-	dh_testdir -p$@
-	dh_testroot -p$@
-	dh_prep -p$@
-	dh_installdirs -p$@
-
-	dh_install -p$@ --sourcedir=$(BLD)
-	dh_installdocs -p$@
-	dh_installchangelogs -p$@
-	dh_strip -p$@
-	dh_compress -p$@
-	dh_fixperms -p$@
-	dh_makeshlibs -p$@
-	dh_installdeb -p$@
-	dh_shlibdeps -p$@ 
+$(LIBAPT_PKG): build-binary debian/$(LIBAPT_PKG).install
+	dh_testdir -p$@
+	dh_testroot -p$@
+	dh_prep -p$@
+	dh_installdirs -p$@
+
+	dh_install -p$@ --sourcedir=$(BLD)
+	dh_installdocs -p$@
+	dh_installchangelogs -p$@
+	dh_strip -p$@
+	dh_compress -p$@

## apt 1.0

=== DESCRIPTION ===
Package: apt
Title: Asymmetric Price Transmission (apt)
Version: 1.0
Date: 2010-11-03
Author: Changyou Sun <csun@cfr.msstate.edu>
Maintainer: Changyou Sun <csun@cfr.msstate.edu>
Depends: R (>= 2.10.0), car, erer
Description: This package focuses on asymmetric price transmission
        (APT) between two time series. This package contains functions
        for linear and nonlinear threshold cointegration, and
        furthermore, symmetric and asymmetric error correction model.
License: GPL (>= 2)
LazyLoad: yes
Packaged: 2011-02-04 19:45:14 UTC; csun
Repository: CRAN
Date/Publication: 2011-02-05 17:07:59
